For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a contact
      • GETList contacts
      • GETGet a contact
      • PATCHUpdate a contact
      • DELDelete a contact
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIContacts

Update a contact

||View as Markdown|
PATCH
/contacts/:contact_id
PATCH
/v2/contacts/:contact_id
$curl -X PATCH https://api.synthflow.ai/v2/contacts/9ad09ad3-9c22-441e-ae35-c05016a09786 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "John Smith",
> "phone_number": "+12025559999",
> "email": "john.smith@example.com"
>}'
200Updated
1{
2 "status": "ok"
3}
Was this page helpful?
Previous

Delete a contact

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

contact_idstringRequired
The contact's ID.

Request

This endpoint expects an object.
namestringOptional
The contact's name.
phone_numberstringOptional
The contact's phone number.
emailstringOptional
The contact's email.
contact_metadataobjectOptional

Response

200
statusstring